#!/bin/sh
echo "*********************************************"
echo "** 1 Install OSCam 1.2 r10630"
echo "** 2 Exit"
echo "*********************************************"
echo "Please enter a menu option number and enter:"

read opt

    case $opt in
        "1")
            echo "\nInstall OSCam Trunk..."
				echo "\n\nStep 1"
				echo "Moving oscam executable to correct folder"
				sleep 3
				# binary
				sudo cp `pwd`/bin/oscam /usr/local/bin/oscam
				
				# config
				sudo cp `pwd`/conf/oscam.conf /usr/local/etc/oscam.conf
				sudo cp `pwd`/conf/oscam.server /usr/local/etc/oscam.server
				sudo cp `pwd`/conf/oscam.user /usr/local/etc/oscam.user
				
				sudo chmod 755 /usr/local/bin/oscam
	            break
        ;;
        "2")
            echo "Exiting"
			exit
        ;;
        *)
            echo invalid option
            exit
       ;;
    esac
	
######################
##Autostart rc.local##
######################
echo "\n\nStep 2"
echo "Edit rc.local for autostart at boot"
sleep 3
sudo sed -i "/exit 0/i\/usr/local/bin/oscam -b" /etc/rc.local



######################
####Restart System####
######################
echo "\n\nDone! Restarting Server."
echo "5 Seconds to restart"
sleep 4
echo "3"
sleep 1
echo "2"
sleep 1
echo "1"
sleep 1
echo "Rebooting now..."
sudo reboot
